Sales Invoice Shipment
The sales invoice shipment resource.
Basehttps://rest.carbon.ms/salesInvoiceShipment
GET
/salesInvoiceShipmentList sales invoice shipments
Retrieve a paginated list of sales invoice shipments. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/salesInvoiceShipment
curl --request GET \
--url 'https://rest.carbon.ms/salesInvoiceShipment?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"shippingCost": 0,
"customFields": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789"
}
]GET
/salesInvoiceShipmentRetrieve a sales invoice shipment
Fetch a single sales invoice shipment by filtering on `id`.
Query parameters
idstringMatch on the sales invoice shipment's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/salesInvoiceShipment
curl --request GET \
--url 'https://rest.carbon.ms/salesInvoiceShipment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"shippingCost": 0,
"customFields": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789"
}POST
/salesInvoiceShipmentCreate a sales invoice shipment
Create a new sales invoice shipment.
Body parameters
shippingCostnumberrequiredlocationIdstringshippingMethodIdstringshippingTermIdstringcustomFieldsobjectrequiredcompanyIdstringReferences company.id
incotermstringincotermLocationstringPOSThttps://rest.carbon.ms/salesInvoiceShipment
curl --request POST \
--url https://rest.carbon.ms/salesInvoiceShipment \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"shippingCost":0,"customFields":"string"}'Response
{
"id": "abc123def456",
"shippingCost": 0,
"customFields": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789"
}PATCH
/salesInvoiceShipmentUpdate a sales invoice shipment
Update an existing sales invoice shipment, matched on `id`.
Body parameters
shippingCostnumberrequiredlocationIdstringshippingMethodIdstringshippingTermIdstringcustomFieldsobjectrequiredcompanyIdstringReferences company.id
incotermstringincotermLocationstringPATCHhttps://rest.carbon.ms/salesInvoiceShipment
curl --request PATCH \
--url 'https://rest.carbon.ms/salesInvoiceShipment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"shippingCost":0}'Response
{
"id": "abc123def456",
"shippingCost": 0,
"customFields": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"locationId": "xyz789",
"shippingMethodId": "xyz789",
"shippingTermId": "xyz789"
}DELETE
/salesInvoiceShipmentDelete a sales invoice shipment
Delete a sales invoice shipment, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the sales invoice shipment to delete, e.g. `eq.{id}`.
DELETEhttps://rest.carbon.ms/salesInvoiceShipment
curl --request DELETE \
--url 'https://rest.carbon.ms/salesInvoiceShipment?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content